Open CASCADE Technology: Extrema_ExtElC Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_ExtElC Class Reference

It calculates all the distance between two elementary curves. These distances can be maximum or minimum. More...

`#include <Extrema_ExtElC.hxx>`

## Public Member Functions
| Extrema_ExtElC ()
| Extrema_ExtElC (const gp_Lin &C1, const gp_Lin &C2, const Standard_Real AngTol)
| Calculates the distance between two lines. AngTol is used to test if the lines are parallel: Angle(C1,C2) < AngTol. More...
| Extrema_ExtElC (const gp_Lin &C1, const gp_Circ &C2, const Standard_Real Tol)
| Calculates the distance between a line and a circle. More...
| Extrema_ExtElC (const gp_Lin &C1, const gp_Elips &C2)
| Calculates the distance between a line and an elipse. More...
| Extrema_ExtElC (const gp_Lin &C1, const gp_Hypr &C2)
| Calculates the distance between a line and a hyperbola. More...
| Extrema_ExtElC (const gp_Lin &C1, const gp_Parab &C2)
| Calculates the distance between a line and a parabola. More...
| Extrema_ExtElC (const gp_Circ &C1, const gp_Circ &C2)
| Calculates the distance between two circles. The circles can be parallel or identical. More...
| Extrema_ExtElC (const gp_Circ &C1, const gp_Elips &C2)
| Calculates the distance between a circle and an elipse. More...
| Extrema_ExtElC (const gp_Circ &C1, const gp_Hypr &C2)
| Calculates the distance between a circle and a hyperbola. More...
| Extrema_ExtElC (const gp_Circ &C1, const gp_Parab &C2)
| Calculates the distance between a circle and a parabola. More...
| Extrema_ExtElC (const gp_Elips &C1, const gp_Elips &C2)
| Calculates the distance between two elipses. The elipses can be parallel or identical. More...
| Extrema_ExtElC (const gp_Elips &C1, const gp_Hypr &C2)
| Calculates the distance between an elipse and a hyperbola. More...
| Extrema_ExtElC (const gp_Elips &C1, const gp_Parab &C2)
| Calculates the distance between an elipse and a parabola. More...
| Extrema_ExtElC (const gp_Hypr &C1, const gp_Hypr &C2)
| Calculates the distance between two hyperbolas. The hyperbolas can be parallel or identical. More...
| Extrema_ExtElC (const gp_Hypr &C1, const gp_Parab &C2)
| Calculates the distance between a hyperbola and a parabola. More...
| Extrema_ExtElC (const gp_Parab &C1, const gp_Parab &C2)
| Calculates the distance between two parabolas The parabolas can be parallel or identical. More...
Standard_Boolean | IsDone () const
| Returns True if the distances are found. More...
Standard_Boolean | IsParallel () const
| Returns True if the two curves are parallel. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Real | SquareDistance (const Standard_Integer N=1) const
| Returns the value of the Nth extremum square distance. More...
void | Points (const Standard_Integer N, Extrema_POnCurv &P1, Extrema_POnCurv &P2) const
| Returns the points of the Nth extremum distance. P1 is on the first curve, P2 on the second one. More...

## Detailed Description

It calculates all the distance between two elementary curves. These distances can be maximum or minimum.

## Constructor & Destructor Documentation

Extrema_ExtElC::Extrema_ExtElC | ( |  | ) |

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Lin & | C1,
|  | const gp_Lin & | C2,
|  | const Standard_Real | AngTol
| ) |  |

Calculates the distance between two lines. AngTol is used to test if the lines are parallel: Angle(C1,C2) < AngTol.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Lin & | C1,
|  | const gp_Circ & | C2,
|  | const Standard_Real | Tol
| ) |  |

Calculates the distance between a line and a circle.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Lin & | C1,
|  | const gp_Elips & | C2
| ) |  |

Calculates the distance between a line and an elipse.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Lin & | C1,
|  | const gp_Hypr & | C2
| ) |  |

Calculates the distance between a line and a hyperbola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Lin & | C1,
|  | const gp_Parab & | C2
| ) |  |

Calculates the distance between a line and a parabola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Circ & | C1,
|  | const gp_Circ & | C2
| ) |  |

Calculates the distance between two circles. The circles can be parallel or identical.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Circ & | C1,
|  | const gp_Elips & | C2
| ) |  |

Calculates the distance between a circle and an elipse.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Circ & | C1,
|  | const gp_Hypr & | C2
| ) |  |

Calculates the distance between a circle and a hyperbola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Circ & | C1,
|  | const gp_Parab & | C2
| ) |  |

Calculates the distance between a circle and a parabola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Elips & | C1,
|  | const gp_Elips & | C2
| ) |  |

Calculates the distance between two elipses. The elipses can be parallel or identical.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Elips & | C1,
|  | const gp_Hypr & | C2
| ) |  |

Calculates the distance between an elipse and a hyperbola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Elips & | C1,
|  | const gp_Parab & | C2
| ) |  |

Calculates the distance between an elipse and a parabola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Hypr & | C1,
|  | const gp_Hypr & | C2
| ) |  |

Calculates the distance between two hyperbolas. The hyperbolas can be parallel or identical.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Hypr & | C1,
|  | const gp_Parab & | C2
| ) |  |

Calculates the distance between a hyperbola and a parabola.

Extrema_ExtElC::Extrema_ExtElC | ( | const gp_Parab & | C1,
|  | const gp_Parab & | C2
| ) |  |

Calculates the distance between two parabolas The parabolas can be parallel or identical.

## Member Function Documentation

Standard_Boolean Extrema_ExtElC::IsDone | ( |  | ) | const

Returns True if the distances are found.

Standard_Boolean Extrema_ExtElC::IsParallel | ( |  | ) | const

Returns True if the two curves are parallel.

Standard_Integer Extrema_ExtElC::NbExt | ( |  | ) | const

Returns the number of extremum distances.

void Extrema_ExtElC::Points | ( | const Standard_Integer | N,
|  | Extrema_POnCurv & | P1,
|  | Extrema_POnCurv & | P2
| ) |  | const

Returns the points of the Nth extremum distance. P1 is on the first curve, P2 on the second one.

Standard_Real Extrema_ExtElC::SquareDistance | ( | const Standard_Integer | N = `1` | ) | const

Returns the value of the Nth extremum square distance.

The documentation for this class was generated from the following file:

- Extrema_ExtElC.hxx